[Solved] Unable to upgrade package login and passwd

New to Debian (Or Linux in general)? Ask your questions here!

[Solved] Unable to upgrade package login and passwd

Postby Lemongrass » 2017-02-25 10:02

Hi, when I try to upgrade login and passwd, this is what I get (with # apt-get upgrade and $ sudo apt-get upgrade too):
Code: Select all
$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  login passwd
2 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/1,692 kB of archives.
After this operation, 911 kB disk space will be freed.
Do you want to continue? [Y/n] y
Reading changelogs... Done
(Reading database ... 179268 files and directories currently installed.)
Preparing to unpack .../login_1%3a4.2-3+deb8u3_amd64.deb ...
Unpacking login (1:4.2-3+deb8u3) over (1:4.2-3+deb8u1) ...
dpkg: error processing archive /var/cache/apt/archives/login_1%3a4.2-3+deb8u3_amd64.deb (--unpack):
 unable to install new version of `/bin/su': Device or resource busy
Processing triggers for man-db (2.7.0.2-5) ...
Errors were encountered while processing:
 /var/cache/apt/archives/login_1%3a4.2-3+deb8u3_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Could somebody please help me with this? I've searched this forum & Google, but I haven't found a solution. I guess the problem is that I try to upgrade a package that I'm using. Thanks in advance! :)

Soluton: it worked when I logged in with root for a little time.
Debian 8.7.1 Jessie Xfce
Lemongrass
 
Posts: 8
Joined: 2017-02-12 14:15

Return to Beginners Questions

Who is online

Users browsing this forum: No registered users and 10 guests

fashionable